import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { map } from 'rxjs/operators';

interface DevelopmentStoreState {
  baseUrl: string;
}

@Injectable({
  providedIn: 'root'
})
export class DevelopmentStore {
  private state: BehaviorSubject<DevelopmentStoreState> = new BehaviorSubject<DevelopmentStoreState>({
    baseUrl: 'http://localhost/',
  });


  get baseUrl() {
    return this.state.asObservable().pipe(map(state => state.baseUrl));
  }
}
